<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:14 CEST 2007 -->
<TITLE>
Uses of Class model.chess.Figure
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.chess.Figure";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../model/chess/Figure.html" title="class in model.chess"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess//class-useFigure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Figure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>model.chess.Figure</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#gui.chess"><B>gui.chess</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#gui.chess.trid"><B>gui.chess.trid</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#model.chess"><B>model.chess</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#model.chess.trid"><B>model.chess.trid</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="gui.chess"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A> in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A> that return <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#getDraggedFigure()">getDraggedFigure</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#getFigureForPoint(java.awt.Point)">getFigureForPoint</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A> that return types with arguments of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#getBlackFiguresList()">getBlackFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#getWhiteFiguresList()">getWhiteFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/package-summary.html">gui.chess</A> with parameters of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#removeFigure(model.chess.Figure)">removeFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes a figure from the black or white figures list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FiguresListView.</B><B><A HREF="../../../gui/chess/FiguresListView.html#setDraggedFigure(model.chess.Figure)">setDraggedFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;draggedFigure)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="gui.chess.trid"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A> in <A HREF="../../../gui/chess/trid/package-summary.html">gui.chess.trid</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../gui/chess/trid/package-summary.html">gui.chess.trid</A> with parameters of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>TriDBoardView.</B><B><A HREF="../../../gui/chess/trid/TriDBoardView.html#shadeMateFields(model.chess.Figure, java.awt.Graphics2D)">shadeMateFields</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Graphics2D.html?is-external=true" title="class or interface in java.awt">Graphics2D</A>&nbsp;g2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlights the attacked king's field and the attackers' fields.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="model.chess"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A> in <A HREF="../../../model/chess/package-summary.html">model.chess</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../model/chess/package-summary.html">model.chess</A> declared as <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#figure">figure</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The Figure on the field or null.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> that return <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getBlackKing()">getBlackKing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#getFigure()">getFigure</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getWhiteKing()">getWhiteKing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#setFigure(model.chess.Figure)">setFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the figure of the field without logging.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> that return types with arguments of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getBlackAttackedFiguresList()">getBlackAttackedFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getBlackFiguresList()">getBlackFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getWhiteAttackedFiguresList()">getWhiteAttackedFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#getWhiteFiguresList()">getWhiteFiguresList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/package-summary.html">model.chess</A> with parameters of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#placeFigureOutOfGame(model.chess.Figure)">placeFigureOutOfGame</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Marks a figure as out of game.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setBlackKing(model.chess.Figure)">setBlackKing</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#setFigure(model.chess.Field, model.chess.Figure, boolean)">setFigure</A></B>(<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;fromField,
          <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure,
          boolean&nbsp;logTheMove)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the figure of this field with logging the move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Field.</B><B><A HREF="../../../model/chess/Field.html#setFigure(model.chess.Figure)">setFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the figure of the field without logging.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Board.</B><B><A HREF="../../../model/chess/Board.html#setWhiteKing(model.chess.Figure)">setWhiteKing</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="model.chess.trid"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A> in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> that return <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Move.</B><B><A HREF="../../../model/chess/trid/Move.html#getAttacked()">getAttacked</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></CODE></FONT></TD>
<TD><CODE><B>Move.</B><B><A HREF="../../../model/chess/trid/Move.html#getFigure()">getFigure</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with parameters of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#attack(model.chess.Figure, model.chess.Field, java.util.ArrayList, int)">attack</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
       <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
       <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
       int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets Figure's and Field's properties for possible attack move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkBishopRange(model.chess.Figure, model.chess.Field)">checkBishopRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for bishops.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkCastleRange(model.chess.Figure, model.chess.Field)">checkCastleRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for castles.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDiagonal(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkDiagonal</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next diagonal field relative to current board position if it's free
 to move onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkDownward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkDownward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;minZ,
              int&nbsp;limit,
              int&nbsp;signX,
              int&nbsp;signY,
              int[]&nbsp;b,
              boolean&nbsp;attackOnly,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all downward fields in proper order from current board position on
 if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkJumps(model.chess.Figure, java.util.ArrayList, int[], int)">checkJumps</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
           <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
           int[]&nbsp;b,
           int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKingQueenRange(model.chess.Figure, model.chess.Field, int, int)">checkKingQueenRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                    <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f,
                    int&nbsp;x,
                    int&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for queens and
 kings.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkKnightRange(model.chess.Figure, model.chess.Field)">checkKnightRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                 <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for knights.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkPawnRange(model.chess.Figure, model.chess.Field)">checkPawnRange</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
               <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;f)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Starts field range calculations from current field on for pawns.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkRangeForFigure(model.chess.Figure)">checkRangeForFigure</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For a figure finds the fields it can move onto, figures it can attack, and
 figures it covers.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkStraight(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkStraight</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
              <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
              int&nbsp;limit,
              int&nbsp;sign,
              int[]&nbsp;b,
              int&nbsp;xy,
              boolean&nbsp;mustNotAttack,
              int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks next field relative to current board position if it's free to move
 onto it.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownDiagonalStart(model.chess.Figure, java.util.ArrayList, int, int, int, int[], boolean, int)">checkUpDownDiagonalStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;signX,
                         int&nbsp;signY,
                         int[]&nbsp;b,
                         boolean&nbsp;attackOnly,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpDownStraightStart(model.chess.Figure, java.util.ArrayList, int, int, int[], int, boolean, int)">checkUpDownStraightStart</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
                         int&nbsp;limit,
                         int&nbsp;sign,
                         int[]&nbsp;b,
                         int&nbsp;xy,
                         boolean&nbsp;mustNotAttack,
                         int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int[], int, boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;sign,
            int[]&nbsp;b,
            int&nbsp;xy,
            boolean&nbsp;mustNotAttack,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#checkUpward(model.chess.Figure, java.util.ArrayList, int, int, int, int, int[], boolean, int)">checkUpward</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;fig,
            <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&gt;&nbsp;path,
            int&nbsp;maxZ,
            int&nbsp;limit,
            int&nbsp;signX,
            int&nbsp;signY,
            int[]&nbsp;b,
            boolean&nbsp;attackOnly,
            int&nbsp;checkType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks all upward fields in proper order from current board position on if
 they're free to move onto.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#counterCheckCalculations(model.chess.Figure, java.util.ArrayList, java.util.ArrayList)">counterCheckCalculations</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attacked,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attackers)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perform move range calculations for party put in check to remove check
 status.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Method parameters in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with type arguments of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#counterCheckCalculations(model.chess.Figure, java.util.ArrayList, java.util.ArrayList)">counterCheckCalculations</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attacked,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attackers)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perform move range calculations for party put in check to remove check
 status.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B>FigureRangeChecking.</B><B><A HREF="../../../model/chess/trid/FigureRangeChecking.html#counterCheckCalculations(model.chess.Figure, java.util.ArrayList, java.util.ArrayList)">counterCheckCalculations</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;king,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attacked,
                         <A HREF="http://java.sun.com/javase/6/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</A>&lt;<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&gt;&nbsp;attackers)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Perform move range calculations for party put in check to remove check
 status.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../model/chess/trid/package-summary.html">model.chess.trid</A> with parameters of type <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../model/chess/trid/Move.html#Move(model.chess.Figure, model.chess.Field, model.chess.Figure)">Move</A></B>(<A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;figure,
     <A HREF="../../../model/chess/Field.html" title="class in model.chess">Field</A>&nbsp;target,
     <A HREF="../../../model/chess/Figure.html" title="class in model.chess">Figure</A>&nbsp;attacked)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a figure move object.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../model/chess/Figure.html" title="class in model.chess"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?model/chess//class-useFigure.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Figure.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
